import { EventEmitter, OnInit } from '@angular/core';
import { ColorStyle } from '../../../types/color-style';
export declare class YearMonthDateAreaComponent implements OnInit {
    selectedMonth: number;
    selectedDate: number;
    selectedYear: number;
    backgroundColor: string;
    textColor: string;
    onLastMonth: EventEmitter<number>;
    onNextMonth: EventEmitter<number>;
    onLastYear: EventEmitter<number>;
    onNextYear: EventEmitter<number>;
    colorStyle: ColorStyle;
    constructor();
    ngOnInit(): void;
    lastMonth(month: number): void;
    nextMonth(month: number): void;
    lastYear(year: number): void;
    nextYear(year: number): void;
}
