export declare class NgbMaterialDatepickerPresenterService {
    constructor();
    /**
     * 日付の背景色を初期化する
     * @param dateColor
     */
    initializeDateColor(dateColor?: string): string;
    /**
     * ヘッダー の背景色を初期化する
     * @param headerColor
     */
    initializeHeaderColor(headerColor?: string): string;
    /**
     * 文字色を取得する。文字色が指定されていない場合は、背景色とのコントラスト比から適切な文字色を取得する。
     * @param backgroundColor
     * @param textColor
     */
    getTextColor(backgroundColor: string, textColor?: string): string;
}
