export declare class A11yColor {
    private static readonly COLOR_CODE_PATTERN;
    static readonly TEXT_COLOR_BLACK = "#000000";
    static readonly TEXT_COLOR_WHITE = "#FFFFFF";
    /**
     * 渡されたカラーコードの形式が正しいか判定する。
     * ※#FFFFFFの形式のみ有効。またカラーコードがundefined等のときの判定は、
     * 使用側によって変わるため、ここでは行わない。
     * @param colorCode
     */
    static validColorCode(colorCode: string): boolean;
    /**
     * 背景色に適した文字色を取得する。
     * @param backgroundColor
     */
    static getTextColor(backgroundColor: string): string;
}
