import { AfterViewInit, OnDestroy } from '@angular/core';
import { DynamicallyComponentService } from './dynamically-component.service';
import { NgbMaterialDatepickerRef } from '../ngb-material-datepicker-ref';
export declare class NgbMaterialDatepickerOverlayComponent implements AfterViewInit, OnDestroy {
    private _dynamicallyComponent;
    private _datepickerRef;
    constructor(_dynamicallyComponent: DynamicallyComponentService<NgbMaterialDatepickerOverlayComponent>, _datepickerRef: NgbMaterialDatepickerRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    /**
     * Overlayがクリックされた。
     * @param {MouseEvent} event
     */
    onOverlayClick(event: MouseEvent): void;
    /**
     * ダイアログがクリックされた。
     * ※ダイアログクリックでもOverlayのクリック扱いとなってしまうため、イベントを止める。
     * @param {MouseEvent} event
     */
    onDialogClick(event: MouseEvent): void;
}
