import { Observable } from 'rxjs';
export declare class NgbMaterialDatepickerRef {
    /**
     * 閉じた時に値を渡すためのSubject
     * @private
     */
    private readonly _afterClose;
    /**
     * 閉じた時の値を受け取るためのObservable
     */
    afterClose: Observable<string | undefined>;
    constructor();
    /**
     * Datepickerを閉じる。
     * @param result
     */
    close(result?: string): void;
}
