import { EventEmitter, OnInit } from '@angular/core';
import { Week } from '../../../types/week';
import { DateTable } from '../../../types/date-table';
export declare class CalendarComponent implements OnInit {
    selectedBackgroundColor: string;
    selectedTextColor: string;
    selectedDate: number;
    selectedMonth: number;
    selectedYear: number;
    displayWeek: Week;
    dateTable: DateTable;
    onSelectDate: EventEmitter<number>;
    constructor();
    ngOnInit(): void;
    selectDate(date: number): void;
}
