import { AfterContentInit, ElementRef, EventEmitter } from '@angular/core';
import { DateTable } from '../../../types/date-table';
import { Week } from '../../../types/week';
export declare class DateTableComponent implements AfterContentInit {
    private thisEleRef;
    displayWeek: Week;
    dateTable: DateTable;
    selectedDate: number;
    selectedBackgroundColor: string;
    selectedTextColor: string;
    onSelectDate: EventEmitter<number>;
    constructor(thisEleRef: ElementRef);
    ngAfterContentInit(): void;
    selectDate(date: number): void;
    private updateSelectedColor;
}
